package org.robokind.avrogen.animation;

@SuppressWarnings("all")
public class AnimationRecord extends org.apache.avro.specific.SpecificRecordBase implements org.apache.avro.specific.SpecificRecord {
  public static final org.apache.avro.Schema SCHEMA$ = org.apache.avro.Schema.parse("{\"type\":\"record\",\"name\":\"AnimationRecord\",\"namespace\":\"org.robokind.avrogen.animation\",\"fields\":[{\"name\":\"name\",\"type\":\"string\"},{\"name\":\"versionNumber\",\"type\":\"string\"},{\"name\":\"stopTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"startTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"channels\",\"type\":{\"type\":\"array\",\"items\":{\"type\":\"record\",\"name\":\"ChannelRecord\",\"fields\":[{\"name\":\"name\",\"type\":\"string\"},{\"name\":\"channelId\",\"type\":\"int\"},{\"name\":\"stopTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"startTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"motionPaths\",\"type\":{\"type\":\"array\",\"items\":{\"type\":\"record\",\"name\":\"MotionPathRecord\",\"fields\":[{\"name\":\"name\",\"type\":\"string\"},{\"name\":\"motionPathId\",\"type\":\"int\"},{\"name\":\"startTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"stopTime\",\"type\":[\"null\",\"long\"]},{\"name\":\"interpolator\",\"type\":{\"type\":\"record\",\"name\":\"InterpolatorTypeRecord\",\"fields\":[{\"name\":\"name\",\"type\":\"string\"},{\"name\":\"versionNumber\",\"type\":\"string\"}]}},{\"name\":\"controlPoints\",\"type\":{\"type\":\"array\",\"items\":{\"type\":\"record\",\"name\":\"ControlPointRecord\",\"fields\":[{\"name\":\"time\",\"type\":\"long\"},{\"name\":\"position\",\"type\":\"double\"}]}}}]}}}]}}}]}");
  public org.apache.avro.util.Utf8 name;
  public org.apache.avro.util.Utf8 versionNumber;
  public java.lang.Long stopTime;
  public java.lang.Long startTime;
  public org.apache.avro.generic.GenericArray<org.robokind.avrogen.animation.ChannelRecord> channels;
  public org.apache.avro.Schema getSchema() { return SCHEMA$; }
  public java.lang.Object get(int field$) {
    switch (field$) {
    case 0: return name;
    case 1: return versionNumber;
    case 2: return stopTime;
    case 3: return startTime;
    case 4: return channels;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
  @SuppressWarnings(value="unchecked")
  public void put(int field$, java.lang.Object value$) {
    switch (field$) {
    case 0: name = (org.apache.avro.util.Utf8)value$; break;
    case 1: versionNumber = (org.apache.avro.util.Utf8)value$; break;
    case 2: stopTime = (java.lang.Long)value$; break;
    case 3: startTime = (java.lang.Long)value$; break;
    case 4: channels = (org.apache.avro.generic.GenericArray<org.robokind.avrogen.animation.ChannelRecord>)value$; break;
    default: throw new org.apache.avro.AvroRuntimeException("Bad index");
    }
  }
}
